Open SCAP Library: Data Fields - Functions

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables

- c
- d
- e
- o
- r
- s
- x

### - o -

- oscap_enum_to_string() : oscap_string_map
- oscap_file_entry_dup() : oscap_file_entry
- oscap_file_entry_free() : oscap_file_entry
- oscap_file_entry_get_file() : oscap_file_entry
- oscap_file_entry_get_system() : oscap_file_entry
- oscap_file_entry_iterator_free() : oscap_file_entry_iterator
- oscap_file_entry_iterator_has_more() : oscap_file_entry_iterator
- oscap_file_entry_iterator_next() : oscap_file_entry_iterator
- oscap_file_entry_iterator_reset() : oscap_file_entry_iterator
- oscap_file_entry_list_free() : oscap_file_entry_list
- oscap_file_entry_list_get_files() : oscap_file_entry_list
- oscap_file_entry_list_new() : oscap_file_entry_list
- oscap_file_entry_new() : oscap_file_entry
- oscap_reference_clone() : oscap_reference
- oscap_reference_free() : oscap_reference
- oscap_reference_get_contributor() : oscap_reference
- oscap_reference_get_coverage() : oscap_reference
- oscap_reference_get_creator() : oscap_reference
- oscap_reference_get_date() : oscap_reference
- oscap_reference_get_description() : oscap_reference
- oscap_reference_get_format() : oscap_reference
- oscap_reference_get_href() : oscap_reference
- oscap_reference_get_identifier() : oscap_reference
- oscap_reference_get_is_dublincore() : oscap_reference
- oscap_reference_get_language() : oscap_reference
- oscap_reference_get_publisher() : oscap_reference
- oscap_reference_get_relation() : oscap_reference
- oscap_reference_get_rights() : oscap_reference
- oscap_reference_get_source() : oscap_reference
- oscap_reference_get_subject() : oscap_reference
- oscap_reference_get_title() : oscap_reference
- oscap_reference_get_type() : oscap_reference
- oscap_reference_new() : oscap_reference
- oscap_reference_set_contributor() : oscap_reference
- oscap_reference_set_coverage() : oscap_reference
- oscap_reference_set_creator() : oscap_reference
- oscap_reference_set_date() : oscap_reference
- oscap_reference_set_description() : oscap_reference
- oscap_reference_set_format() : oscap_reference
- oscap_reference_set_href() : oscap_reference
- oscap_reference_set_identifier() : oscap_reference
- oscap_reference_set_is_dublincore() : oscap_reference
- oscap_reference_set_language() : oscap_reference
- oscap_reference_set_publisher() : oscap_reference
- oscap_reference_set_relation() : oscap_reference
- oscap_reference_set_rights() : oscap_reference
- oscap_reference_set_source() : oscap_reference
- oscap_reference_set_subject() : oscap_reference
- oscap_reference_set_title() : oscap_reference
- oscap_reference_set_type() : oscap_reference
- oscap_source_apply_xslt_path() : oscap_source
- oscap_source_apply_xslt_path_mem() : oscap_source
- oscap_source_get_scap_type() : oscap_source
- oscap_source_get_schema_version() : oscap_source
- oscap_source_get_xmlDoc() : oscap_source
- oscap_source_get_xmlTextReader() : oscap_source
- oscap_source_new_from_xmlDoc() : oscap_source
- oscap_source_readable_origin() : oscap_source
- oscap_source_save_as() : oscap_source
- oscap_source_validate() : oscap_source
- oscap_source_validate_schematron() : oscap_source
- oscap_string_iterator_free() : oscap_string_iterator
- oscap_string_iterator_has_more() : oscap_string_iterator
- oscap_string_iterator_next() : oscap_string_iterator
- oscap_string_iterator_remove() : oscap_string_iterator
- oscap_string_iterator_reset() : oscap_string_iterator
- oscap_string_to_enum() : oscap_string_map
- oscap_stringlist_add_string() : oscap_stringlist
- oscap_stringlist_clone() : oscap_stringlist
- oscap_stringlist_free() : oscap_stringlist
- oscap_stringlist_get_strings() : oscap_stringlist
- oscap_stringlist_iterator_free() : oscap_stringlist_iterator
- oscap_stringlist_iterator_has_more() : oscap_stringlist_iterator
- oscap_stringlist_iterator_next() : oscap_stringlist_iterator
- oscap_stringlist_iterator_remove() : oscap_stringlist_iterator
- oscap_stringlist_iterator_reset() : oscap_stringlist_iterator
- oscap_stringlist_new() : oscap_stringlist
- oscap_text_clone() : oscap_text
- oscap_text_free() : oscap_text
- oscap_text_get_can_override() : oscap_text
- oscap_text_get_can_substitute() : oscap_text
- oscap_text_get_is_html() : oscap_text
- oscap_text_get_lang() : oscap_text
- oscap_text_get_overrides() : oscap_text
- oscap_text_get_plaintext() : oscap_text
- oscap_text_get_text() : oscap_text
- oscap_text_iterator_free() : oscap_text_iterator
- oscap_text_iterator_has_more() : oscap_text_iterator
- oscap_text_iterator_next() : oscap_text_iterator
- oscap_text_iterator_remove() : oscap_text_iterator
- oscap_text_iterator_reset() : oscap_text_iterator
- oscap_text_new() : oscap_text
- oscap_text_new_html() : oscap_text
- oscap_text_set_lang() : oscap_text
- oscap_text_set_overrides() : oscap_text
- oscap_text_set_text() : oscap_text
- oval_affected_add_platform() : oval_affected
- oval_affected_add_product() : oval_affected
- oval_affected_clone() : oval_affected
- oval_affected_free() : oval_affected
- oval_affected_get_family() : oval_affected
- oval_affected_get_platforms() : oval_affected
- oval_affected_get_products() : oval_affected
- oval_affected_iterator_free() : oval_affected_iterator
- oval_affected_iterator_has_more() : oval_affected_iterator
- oval_affected_iterator_next() : oval_affected_iterator
- oval_affected_new() : oval_affected
- oval_affected_set_family() : oval_affected
- oval_behavior_clone() : oval_behavior
- oval_behavior_get_key() : oval_behavior
- oval_behavior_get_value() : oval_behavior
- oval_component_clone() : oval_component
- oval_component_free() : oval_component
- oval_component_get_arithmetic_operation() : oval_component
- oval_component_get_function_components() : oval_component
- oval_component_get_glob_to_regex_glob_noescape() : oval_component
- oval_component_get_item_field() : oval_component
- oval_component_get_literal_value() : oval_component
- oval_component_get_object() : oval_component
- oval_component_get_prefix() : oval_component
- oval_component_get_record_field() : oval_component
- oval_component_get_regex_pattern() : oval_component
- oval_component_get_split_delimiter() : oval_component
- oval_component_get_substring_length() : oval_component
- oval_component_get_substring_start() : oval_component
- oval_component_get_suffix() : oval_component
- oval_component_get_timedif_format_1() : oval_component
- oval_component_get_timedif_format_2() : oval_component
- oval_component_get_type() : oval_component
- oval_component_get_variable() : oval_component
- oval_component_iterator_free() : oval_component_iterator
- oval_component_iterator_has_more() : oval_component_iterator
- oval_component_iterator_next() : oval_component_iterator
- oval_component_iterator_remaining() : oval_component_iterator
- oval_component_new() : oval_component
- oval_component_set_item_field() : oval_component
- oval_component_set_object() : oval_component
- oval_component_set_record_field() : oval_component
- oval_component_set_type() : oval_component
- oval_component_set_variable() : oval_component
- oval_component_type_get_text() : oval_variable
- oval_criteria_node_add_subnode() : oval_criteria_node
- oval_criteria_node_clone() : oval_criteria_node
- oval_criteria_node_free() : oval_criteria_node
- oval_criteria_node_get_applicability_check() : oval_criteria_node
- oval_criteria_node_get_comment() : oval_criteria_node
- oval_criteria_node_get_definition() : oval_criteria_node
- oval_criteria_node_get_negate() : oval_criteria_node
- oval_criteria_node_get_operator() : oval_criteria_node
- oval_criteria_node_get_subnodes() : oval_criteria_node
- oval_criteria_node_get_test() : oval_criteria_node
- oval_criteria_node_get_type() : oval_criteria_node
- oval_criteria_node_iterator_free() : oval_criteria_node_iterator
- oval_criteria_node_iterator_has_more() : oval_criteria_node_iterator
- oval_criteria_node_iterator_next() : oval_criteria_node_iterator
- oval_criteria_node_new() : oval_criteria_node
- oval_criteria_node_set_applicability_check() : oval_criteria_node
- oval_criteria_node_set_comment() : oval_criteria_node
- oval_criteria_node_set_definition() : oval_criteria_node
- oval_criteria_node_set_negate() : oval_criteria_node
- oval_criteria_node_set_operator() : oval_criteria_node
- oval_criteria_node_set_test() : oval_criteria_node
- oval_criteria_set_node_type() : oval_criteria_node
- oval_definition_add_affected() : oval_definition
- oval_definition_add_note() : oval_definition
- oval_definition_add_reference() : oval_definition
- oval_definition_clone() : oval_definition
- oval_definition_free() : oval_definition
- oval_definition_get_affected() : oval_definition
- oval_definition_get_class() : oval_definition
- oval_definition_get_criteria() : oval_definition
- oval_definition_get_deprecated() : oval_definition
- oval_definition_get_description() : oval_definition
- oval_definition_get_id() : oval_definition
- oval_definition_get_notes() : oval_definition
- oval_definition_get_references() : oval_definition
- oval_definition_get_title() : oval_definition
- oval_definition_get_version() : oval_definition
- oval_definition_iterator_free() : oval_definition_iterator
- oval_definition_iterator_has_more() : oval_definition_iterator
- oval_definition_iterator_next() : oval_definition_iterator
- oval_definition_model_bind_variable_model() : oval_definition_model
- oval_definition_model_clone() : oval_definition_model
- oval_definition_model_export() : oval_definition_model
- oval_definition_model_free() : oval_definition_model
- oval_definition_model_get_definition() : oval_definition_model
- oval_definition_model_get_definitions() : oval_definition_model
- oval_definition_model_get_object() : oval_definition_model
- oval_definition_model_get_objects() : oval_definition_model
- oval_definition_model_get_state() : oval_definition_model
- oval_definition_model_get_states() : oval_definition_model
- oval_definition_model_get_test() : oval_definition_model
- oval_definition_model_get_tests() : oval_definition_model
- oval_definition_model_get_variable() : oval_definition_model
- oval_definition_model_get_variable_models() : oval_definition_model
- oval_definition_model_get_variables() : oval_definition_model
- oval_definition_model_import() : oval_definition_model
- oval_definition_model_import_source() : oval_definition_model
- oval_definition_model_merge() : oval_definition_model
- oval_definition_model_new() : oval_definition_model
- oval_definition_model_supported() : oval_definition_model
- oval_definition_new() : oval_definition
- oval_definition_set_class() : oval_definition
- oval_definition_set_criteria() : oval_definition
- oval_definition_set_deprecated() : oval_definition
- oval_definition_set_description() : oval_definition
- oval_definition_set_title() : oval_definition
- oval_definition_set_version() : oval_definition
- oval_directives_model_import() : oval_directives_model
- oval_directives_model_import_source() : oval_directives_model
- oval_entity_clone() : oval_entity
- oval_entity_get_datatype() : oval_entity
- oval_entity_get_mask() : oval_entity
- oval_entity_get_name() : oval_entity
- oval_entity_get_operation() : oval_entity
- oval_entity_get_type() : oval_entity
- oval_entity_get_value() : oval_entity
- oval_entity_get_variable() : oval_entity
- oval_entity_get_varref_type() : oval_entity
- oval_message_clone() : oval_message
- oval_message_get_level() : oval_message
- oval_message_get_text() : oval_message
- oval_object_add_behavior() : oval_object
- oval_object_add_note() : oval_object
- oval_object_add_object_content() : oval_object
- oval_object_clone() : oval_object
- oval_object_content_clone() : oval_object_content
- oval_object_content_get_entity() : oval_object_content
- oval_object_content_get_field_name() : oval_object_content
- oval_object_content_get_setobject() : oval_object_content
- oval_object_content_get_type() : oval_object_content
- oval_object_content_get_varCheck() : oval_object_content
- oval_object_free() : oval_object
- oval_object_get_behaviors() : oval_object
- oval_object_get_comment() : oval_object
- oval_object_get_deprecated() : oval_object
- oval_object_get_family() : oval_object
- oval_object_get_id() : oval_object
- oval_object_get_name() : oval_object
- oval_object_get_notes() : oval_object
- oval_object_get_object_contents() : oval_object
- oval_object_get_platform_schema_version() : oval_object
- oval_object_get_subtype() : oval_object
- oval_object_get_version() : oval_object
- oval_object_iterator_free() : oval_object_iterator
- oval_object_iterator_has_more() : oval_object_iterator
- oval_object_iterator_next() : oval_object_iterator
- oval_object_new() : oval_object
- oval_object_set_comment() : oval_object
- oval_object_set_deprecated() : oval_object
- oval_object_set_subtype() : oval_object
- oval_object_set_version() : oval_object
- oval_reference_clone() : oval_reference
- oval_reference_get_id() : oval_reference
- oval_reference_get_source() : oval_reference
- oval_reference_get_url() : oval_reference
- oval_reference_set_source() : oval_reference
- oval_result_criteria_node_clone() : oval_result_criteria_node
- oval_result_definition_clone() : oval_result_definition
- oval_result_definition_get_id() : oval_result_definition
- oval_result_definition_get_variable_instance_hint() : oval_result_definition
- oval_result_definition_set_variable_instance_hint() : oval_result_definition
- oval_result_directives_new() : oval_result_directives
- oval_result_directives_set_content() : oval_result_directives
- oval_result_directives_set_reported() : oval_result_directives
- oval_result_item_clone() : oval_result_item
- oval_result_system_clone() : oval_result_system
- oval_result_system_eval() : oval_result_system
- oval_result_system_eval_definition() : oval_result_system
- oval_result_test_clone() : oval_result_test
- oval_results_model_clone() : oval_results_model
- oval_results_model_export() : oval_results_model
- oval_results_model_free() : oval_results_model
- oval_results_model_get_definition_model() : oval_results_model
- oval_results_model_get_systems() : oval_results_model
- oval_results_model_import() : oval_results_model
- oval_results_model_import_source() : oval_results_model
- oval_results_model_new() : oval_results_model
- oval_session_evaluate() : oval_session
- oval_session_evaluate_id() : oval_session
- oval_session_export() : oval_session
- oval_session_free() : oval_session
- oval_session_load() : oval_session
- oval_session_new() : oval_session
- oval_session_set_component_id() : oval_session
- oval_session_set_datastream_id() : oval_session
- oval_session_set_directives() : oval_session
- oval_session_set_report_export() : oval_session
- oval_session_set_results_export() : oval_session
- oval_session_set_validation() : oval_session
- oval_session_set_variables() : oval_session
- oval_session_set_xml_reporter() : oval_session
- oval_setobject_clone() : oval_setobject
- oval_setobject_get_filters() : oval_setobject
- oval_setobject_get_objects() : oval_setobject
- oval_setobject_get_operation() : oval_setobject
- oval_setobject_get_subsets() : oval_setobject
- oval_setobject_get_type() : oval_setobject
- oval_state_add_content() : oval_state
- oval_state_add_note() : oval_state
- oval_state_clone() : oval_state
- oval_state_content_clone() : oval_state_content
- oval_state_content_get_check_existence() : oval_state_content
- oval_state_content_get_ent_check() : oval_state_content
- oval_state_content_get_entity() : oval_state_content
- oval_state_content_get_var_check() : oval_state_content
- oval_state_content_set_check_existence() : oval_state_content
- oval_state_free() : oval_state
- oval_state_get_comment() : oval_state
- oval_state_get_contents() : oval_state
- oval_state_get_deprecated() : oval_state
- oval_state_get_family() : oval_state
- oval_state_get_id() : oval_state
- oval_state_get_name() : oval_state
- oval_state_get_notes() : oval_state
- oval_state_get_operator() : oval_state
- oval_state_get_subtype() : oval_state
- oval_state_get_version() : oval_state
- oval_state_iterator_free() : oval_state_iterator
- oval_state_iterator_has_more() : oval_state_iterator
- oval_state_iterator_next() : oval_state_iterator
- oval_state_new() : oval_state
- oval_state_set_comment() : oval_state
- oval_state_set_deprecated() : oval_state
- oval_state_set_operator() : oval_state
- oval_state_set_subtype() : oval_state
- oval_state_set_version() : oval_state
- oval_string_iterator_free() : oval_string_iterator
- oval_string_iterator_has_more() : oval_string_iterator
- oval_string_iterator_next() : oval_string_iterator
- oval_string_iterator_remaining() : oval_string_iterator
- oval_syschar_clone() : oval_syschar
- oval_syschar_get_flag() : oval_syschar
- oval_syschar_get_messages() : oval_syschar
- oval_syschar_get_object() : oval_syschar
- oval_syschar_get_sysitem() : oval_syschar
- oval_syschar_get_variable_bindings() : oval_syschar
- oval_syschar_get_variable_instance() : oval_syschar
- oval_syschar_model_bind_variable_model() : oval_syschar_model
- oval_syschar_model_clone() : oval_syschar_model
- oval_syschar_model_compute_variable() : oval_syschar_model
- oval_syschar_model_export() : oval_syschar_model
- oval_syschar_model_free() : oval_syschar_model
- oval_syschar_model_get_definition_model() : oval_syschar_model
- oval_syschar_model_get_syschar() : oval_syschar_model
- oval_syschar_model_get_syschars() : oval_syschar_model
- oval_syschar_model_get_sysinfo() : oval_syschar_model
- oval_syschar_model_import() : oval_syschar_model
- oval_syschar_model_import_source() : oval_syschar_model
- oval_syschar_model_new() : oval_syschar_model
- oval_syschar_set_variable_instance() : oval_syschar
- oval_sysent_clone() : oval_sysent
- oval_sysent_get_datatype() : oval_sysent
- oval_sysent_get_mask() : oval_sysent
- oval_sysent_get_name() : oval_sysent
- oval_sysent_get_status() : oval_sysent
- oval_sysent_get_value() : oval_sysent
- oval_sysinfo_clone() : oval_sysinfo
- oval_sysinfo_get_interfaces() : oval_sysinfo
- oval_sysinfo_get_os_architecture() : oval_sysinfo
- oval_sysinfo_get_os_name() : oval_sysinfo
- oval_sysinfo_get_os_version() : oval_sysinfo
- oval_sysinfo_get_primary_host_name() : oval_sysinfo
- oval_sysint_clone() : oval_sysint
- oval_sysint_get_ip_address() : oval_sysint
- oval_sysint_get_mac_address() : oval_sysint
- oval_sysint_get_name() : oval_sysint
- oval_sysitem_clone() : oval_sysitem
- oval_sysitem_get_id() : oval_sysitem
- oval_sysitem_get_messages() : oval_sysitem
- oval_sysitem_get_status() : oval_sysitem
- oval_sysitem_get_subtype() : oval_sysitem
- oval_sysitem_get_sysents() : oval_sysitem
- oval_test_add_note() : oval_test
- oval_test_add_state() : oval_test
- oval_test_clone() : oval_test
- oval_test_free() : oval_test
- oval_test_get_check() : oval_test
- oval_test_get_comment() : oval_test
- oval_test_get_deprecated() : oval_test
- oval_test_get_existence() : oval_test
- oval_test_get_family() : oval_test
- oval_test_get_id() : oval_test
- oval_test_get_notes() : oval_test
- oval_test_get_object() : oval_test
- oval_test_get_state_operator() : oval_test
- oval_test_get_states() : oval_test
- oval_test_get_subtype() : oval_test
- oval_test_get_version() : oval_test
- oval_test_iterator_free() : oval_test_iterator
- oval_test_iterator_has_more() : oval_test_iterator
- oval_test_iterator_next() : oval_test_iterator
- oval_test_new() : oval_test
- oval_test_set_check() : oval_test
- oval_test_set_comment() : oval_test
- oval_test_set_deprecated() : oval_test
- oval_test_set_existence() : oval_test
- oval_test_set_object() : oval_test
- oval_test_set_state_operator() : oval_test
- oval_test_set_subtype() : oval_test
- oval_test_set_version() : oval_test
- oval_value_clone() : oval_value
- oval_value_get_binary() : oval_value
- oval_value_get_boolean() : oval_value
- oval_value_get_datatype() : oval_value
- oval_value_get_float() : oval_value
- oval_value_get_integer() : oval_value
- oval_value_get_text() : oval_value
- oval_variable_add_possible_restriction() : oval_variable
- oval_variable_add_possible_value() : oval_variable
- oval_variable_add_value() : oval_variable
- oval_variable_binding_clone() : oval_variable_binding
- oval_variable_binding_get_values() : oval_variable_binding
- oval_variable_binding_get_variable() : oval_variable_binding
- oval_variable_clone() : oval_variable
- oval_variable_free() : oval_variable
- oval_variable_get_comment() : oval_variable
- oval_variable_get_component() : oval_variable
- oval_variable_get_datatype() : oval_variable
- oval_variable_get_deprecated() : oval_variable
- oval_variable_get_id() : oval_variable
- oval_variable_get_possible_restrictions() : oval_variable
- oval_variable_get_possible_values() : oval_variable
- oval_variable_get_type() : oval_variable
- oval_variable_get_values() : oval_variable
- oval_variable_get_version() : oval_variable
- oval_variable_iterator_free() : oval_variable_iterator
- oval_variable_iterator_has_more() : oval_variable_iterator
- oval_variable_iterator_next() : oval_variable_iterator
- oval_variable_model_add() : oval_variable_model
- oval_variable_model_clone() : oval_variable_model
- oval_variable_model_export() : oval_variable_model
- oval_variable_model_free() : oval_variable_model
- oval_variable_model_get_comment() : oval_variable_model
- oval_variable_model_get_datatype() : oval_variable_model
- oval_variable_model_get_values() : oval_variable_model
- oval_variable_model_get_variable_ids() : oval_variable_model
- oval_variable_model_has_variable() : oval_variable_model
- oval_variable_model_import() : oval_variable_model
- oval_variable_model_import_source() : oval_variable_model
- oval_variable_model_iterator_free() : oval_variable_model_iterator
- oval_variable_model_iterator_has_more() : oval_variable_model_iterator
- oval_variable_model_iterator_next() : oval_variable_model_iterator
- oval_variable_model_new() : oval_variable_model
- oval_variable_new() : oval_variable
- oval_variable_possible_restriction_add_restriction() : oval_variable_possible_restriction
- oval_variable_possible_restriction_free() : oval_variable_possible_restriction
- oval_variable_possible_restriction_get_operator() : oval_variable_possible_restriction
- oval_variable_possible_restriction_get_restrictions() : oval_variable_possible_restriction
- oval_variable_possible_restriction_new() : oval_variable_possible_restriction
- oval_variable_possible_value_free() : oval_variable_possible_value
- oval_variable_possible_value_new() : oval_variable_possible_value
- oval_variable_restriction_free() : oval_variable_restriction
- oval_variable_restriction_new() : oval_variable_restriction
- oval_variable_set_comment() : oval_variable
- oval_variable_set_component() : oval_variable
- oval_variable_set_datatype() : oval_variable
- oval_variable_set_deprecated() : oval_variable
- oval_variable_set_version() : oval_variable